<?php
require "Credentials.php";  //The credentials file contains the variables $hostname, $database, $username, $password
 
try{
	$conn = new PDO("mysql:host=$hostname;dbname=$database", $username, $password);
	$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch(PDOException $e){
	echo $e->getMessage();
	die();
}
$statement = $conn->prepare("SELECT * FROM tbstatecapital");
$statement->execute();

//retrieve id and value 
$post_id = $_POST['id'];
$post_value = $_POST['value'];

$tokens = explode("_", $post_id); //break compound id into parts
// for example breaks AK_CapitalMunicPop into AK and CapitalMunicPop
//http://php.net/explode


$sql = "UPDATE tbstatecapital SET " . $tokens[1] . "=? WHERE StateAbbr=?";  
$q = $conn->prepare($sql);  
$q->execute(array($post_value,$tokens[0])); 
//should add some code to make sure $tokens[1] does not include any SQL injection


// we will get result from database instead of just echoing back $post_value in case UPDATE did not work
$sql = "SELECT " . $tokens[1] . " FROM tbstatecapital WHERE StateAbbr=?";  
$q = $conn->prepare($sql);  
$q->execute(array($tokens[0])); 
$result = $q->fetchColumn();

echo $result;

?>